
package nc.itf.ic.ic;

import nc.ui.querytemplate.querytree.IQueryScheme;
import nc.vo.sap.syproconfig.AggSyProConfigVO;
import nc.vo.pub.BusinessException;

public interface INccsynergyMaintain {

        public void delete(AggSyProConfigVO[] clientFullVOs,
                        AggSyProConfigVO[] originBills) throws BusinessException;

        public AggSyProConfigVO[] insert(AggSyProConfigVO[] clientFullVOs,
                        AggSyProConfigVO[] originBills) throws BusinessException;

        public AggSyProConfigVO[] update(AggSyProConfigVO[] clientFullVOs,
                        AggSyProConfigVO[] originBills) throws BusinessException;

        public AggSyProConfigVO[] query(IQueryScheme queryScheme)
                        throws BusinessException;

        public AggSyProConfigVO[] save(AggSyProConfigVO[] clientFullVOs,
                        AggSyProConfigVO[] originBills) throws BusinessException;

        public AggSyProConfigVO[] unsave(AggSyProConfigVO[] clientFullVOs,
                        AggSyProConfigVO[] originBills) throws BusinessException;

        public AggSyProConfigVO[] approve(AggSyProConfigVO[] clientFullVOs,
                        AggSyProConfigVO[] originBills) throws BusinessException;

        public AggSyProConfigVO[] unapprove(AggSyProConfigVO[] clientFullVOs,
                        AggSyProConfigVO[] originBills) throws BusinessException;
}
